All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ToolbarLayout

    com.sas.visuals.ToolbarLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.io.Serializable

    public class ToolbarLayout

implements java.awt.LayoutManager, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `components`
`protected int` | `gap`
`static int` | `HORIZONTAL`
`protected int` | `orientation`
`static int` | `VERTICAL`
`protected boolean` | `wrapped`

Constructor Summary
`ToolbarLayout()`

Method Summary
`java.awt.Component` | `add(java.awt.Component comp)`
`java.awt.Component` | `add(java.awt.Component comp, int pos)`
`void` | `add(int space)`
`void` | `add(int space, int pos)`
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`int` | `elementCount()`
`java.util.Enumeration` | `elements()`
`int` | `getGap()`
`int` | `getOrientation()`
`void` | `insert(int space, int pos)`
`boolean` | `isWrapped()`
`void` | `layoutContainer(java.awt.Container parent)`
`void` | `layoutContainer(java.awt.Container parent, int orientation, boolean wrapped)`
`protected void` | `layoutContainerHorizontal(java.awt.Rectangle parent, int start, int end)`
`protected void` | `layoutContainerVertical(java.awt.Rectangle parent, int start, int end)`
`protected void` | `layoutContainerWrapped(java.awt.Rectangle parent)`
`java.awt.Dimension` | `minimumHorizontalLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `minimumVerticalLayoutSize(java.awt.Container parent)`
`protected java.awt.Dimension` | `preferredHorizontalLayoutSize(int start, int end)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`protected java.awt.Dimension` | `preferredVerticalLayoutSize(int start, int end)`
`void` | `remove(java.awt.Component comp)`
`void` | `remove(int space, int pos)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`void` | `setGap(int gap)`
`void` | `setOrientation(int orientation)`
`void` | `setWrapped(boolean wrapped)`

Field Detail

### VERTICAL

    public static final int VERTICAL

See Also:
  Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

See Also:
  Constant Field Values

### orientation

    protected int orientation

### wrapped

    protected boolean wrapped

### gap

    protected int gap

### components

    protected java.util.Vector components

Constructor Detail

### ToolbarLayout

    public ToolbarLayout()

Method Detail

### setOrientation

    public void setOrientation(int orientation)

### getOrientation

    public int getOrientation()

### setGap

    public void setGap(int gap)

### getGap

    public int getGap()

### elementCount

    public int elementCount()

### elements

    public java.util.Enumeration elements()

### isWrapped

    public boolean isWrapped()

### setWrapped

    public void setWrapped(boolean wrapped)

### add

    public java.awt.Component add(java.awt.Component comp)

### add

    public void add(int space)

### add

    public void add(int space,
                    int pos)

### insert

    public void insert(int space,
                       int pos)

### add

    public java.awt.Component add(java.awt.Component comp,
                                  int pos)

### remove

    public void remove(java.awt.Component comp)

### remove

    public void remove(int space,
                       int pos)

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### preferredVerticalLayoutSize

    protected java.awt.Dimension preferredVerticalLayoutSize(int start,
                                                             int end)

### preferredHorizontalLayoutSize

    protected java.awt.Dimension preferredHorizontalLayoutSize(int start,
                                                               int end)

### minimumVerticalLayoutSize

    public java.awt.Dimension minimumVerticalLayoutSize(java.awt.Container parent)

### minimumHorizontalLayoutSize

    public java.awt.Dimension minimumHorizontalLayoutSize(java.awt.Container parent)

### layoutContainer

    public void layoutContainer(java.awt.Container parent,
                                int orientation,
                                boolean wrapped)

### layoutContainerWrapped

    protected void layoutContainerWrapped(java.awt.Rectangle parent)

### layoutContainerVertical

    protected void layoutContainerVertical(java.awt.Rectangle parent,
                                           int start,
                                           int end)

### layoutContainerHorizontal

    protected void layoutContainerHorizontal(java.awt.Rectangle parent,
                                             int start,
                                             int end)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.